﻿Imports Microsoft.Office.Interop.Access

Public Class Form1

    Private Sub btnExecutar_Click(sender As Object, e As EventArgs) Handles btnExecutar.Click

        If cboRelatorios.SelectedIndex = -1 Then
            MessageBox.Show("Selecione um relatório", "Erro", MessageBoxButtons.OK, MessageBoxIcon.Information)
            Return
        End If
        Try
            Dim MSA As New Microsoft.Office.Interop.Access.Application
            MSA.Application.Visible = False

            MSA.OpenCurrentDatabase("c:\dados\Northwind.mdb", False)

            If rdbVisualizar.Checked Then
                MSA.Application.DoCmd.OpenReport(cboRelatorios.Text, AcView.acViewPreview)
                'maximiza a janela
                MSA.Application.DoCmd.Maximize()
                'oculta a barra de menu
                MSA.Application.CommandBars("Menu Bar").Enabled = False
                'oculta a barra de menu Print Preview
                MSA.Application.CommandBars("Print Preview").Enabled = False
                'Oculta o menu popup do relatorio
                MSA.Application.CommandBars("Print Preview Popup").Enabled = False
            Else
                MSA.Application.DoCmd.OpenReport(cboRelatorios.Text, AcView.acViewNormal)
            End If

        Catch ex As Exception
            MessageBox.Show("Erro : " & ex.Message, "Erro ao acessar o objeto", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        cboRelatorios.SelectedIndex = 0
    End Sub
End Class
